using NAT.Common.Handlers.Configs;
using NAT.Common.Models;
using System;
using System.Collections.Generic;
using UnityEngine;

namespace NAT.Common.Contexts
{
    sealed class GravityPhysicsContext : Context
    {
        internal Dictionary<JointPhysicsParamPair, Dictionary<string, PhysicsCalculator>> calculators;
        internal Action<string, float> updateHandlers;
        internal Action<string> resetHandlers;
        internal Rigidbody rigidbody;

        internal GravityPhysicsContext(string id) : base(id)
        {
        }
    }
}
