using NAT.Common.Models;
using System.Collections.Generic;
using UnityEngine;

namespace NAT.Common.Contexts
{
    sealed class HardCollidersContext : Context
    {
        internal Dictionary<string, AutoColliderParams> autoColliderParams;
        internal int[] protrusionIndices;
        internal readonly List<Rigidbody> softJointRigidbodies = new List<Rigidbody>();

        internal HardCollidersContext(string id) : base(id)
        {
        }
    }
}
