﻿using UnityEngine;

namespace NAT.Common.UI.Windows
{
    sealed class InactiveWindow : Window
    {
        public InactiveWindow(ScriptBase script) : base(script)
        {
        }

        protected override void Build()
        {
            AddElement("Info", _ =>
            {
                var uiDynamic = CreateTextField(
                    "GameObject is inactive, likely due to the Person atom being disabled.".Bold(),
                    new Vector2(10, -200),
                    new Vector2(-20, 180)
                );
                return uiDynamic;
            });
        }
    }
}
