using NAT.Common.Contexts;
using NAT.Common.Models;
using System.Collections.Generic;

namespace NAT.BM.Contexts
{
    sealed class GluteSoftPhysicsContext : SoftPhysicsContext
    {
        internal SoftJoint[] mainNonGradientJoints;
        internal SoftJoint[] lowerReferenceGradientJoints;
        internal SoftJoint[] lowerNonGradientJoints;
        internal DAZPhysicsMeshSoftVerticesGroup softVerticesGroup;
        internal Dictionary<string, DAZPhysicsMeshSoftVerticesSet[]> softVerticesSets;

        internal GluteSoftPhysicsContext(string id) : base(id)
        {
        }
    }
}
