using System.Text.RegularExpressions;

namespace ColliderEditor
{
    class Group
    {
        internal readonly string name;
        readonly Regex _pattern;

        internal Group(string name, string pattern)
        {
            this.name = name;
            _pattern = new Regex(pattern, RegexOptions.Compiled | RegexOptions.ExplicitCapture);
        }

        internal bool Test(string str) => _pattern.IsMatch(str);
    }
}
