using NAT.Common.Models;
using System.Collections.Generic;

namespace NAT.Common.Handlers
{
    abstract class ForceMorphHandler : ForceHandler
    {
        internal JSONStorableStringChooser directionJssc;

        internal float upLimit;
        internal float depthOutLimit;
        internal float sidewaysOutLimit;
        internal float sidewaysInLimit;
        internal float upDownNormalizer;
        internal float depthOutNormalizer;
        internal float depthInNormalizer;
        internal float sidewaysNormalizer;

        internal float leftLeanBackFixer, rightLeanBackFixer;
        internal float leftRollFixer, rightRollFixer;

        internal readonly Dictionary<string, List<ConfigurableMorph>> morphSets = new Dictionary<string, List<ConfigurableMorph>>();

        protected ForceMorphHandler(ScriptBase script) : base(script)
        {
        }
    }
}
