using NAT.Common.Handlers.Configs;

namespace NAT.Common.Models
{
    abstract class GradientGroup
    {
        internal abstract void CalculateDistances();

        internal abstract void SetGradientBaseValues(string paramName, GradientConfig gradientConfig, float value);

        internal abstract void SetAdditionalOffsets(string paramName, float value);

        internal virtual bool HasJoint(SoftJoint joint) => false;
    }
}
