using UnityEngine;

namespace NAT.Common.Models
{
    abstract class SimItem
    {
        internal readonly JSONStorableBool enabledJsb;
        internal JSONStorableVector3 simForceV3;

        internal bool needsRetry;
        protected int retryCount;

        protected Vector3 simForce;
        protected bool shouldSetSimForce;

        protected SimItem(JSONStorableBool enabledJsb)
        {
            this.enabledJsb = enabledJsb;
        }
    }
}
