using UnityEngine;

namespace NAT
{
    static class BehaviourExtensions
    {
        internal static bool IsEnabledNullSafe(this Behaviour behaviour) => behaviour && behaviour.enabled;

        internal static void SetEnabledNullSafe(this Behaviour behaviour, bool enabled)
        {
            if(behaviour)
            {
                behaviour.enabled = enabled;
            }
        }
    }
}
