namespace NAT
{
    static class JSONStorableExtensions
    {
        internal static bool GetBoolParamValueNullSafe(this JSONStorable storable, string paramName)
        {
            if(storable && storable.IsBoolJSONParam(paramName))
            {
                return storable.GetBoolParamValue(paramName);
            }

            return false;
        }
    }
}
